> ## Documentation Index
> Fetch the complete documentation index at: https://www.cashfree.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Internal Transfer V1.2

> Use this API to request an internal transfer. It is useful for accounts with multiple fund sources. You need to provide either the rechargeAccount or paymentInstrumentId and toPaymentInstrumentId along with the amount.



## OpenAPI

````yaml post /payout/v1.2/internalTransfer
openapi: 3.0.0
info:
  title: Payouts
  version: 3.0.0
servers:
  - url: https://payout-api.cashfree.com
    description: Production
  - url: https://payout-gamma.cashfree.com
    description: Sandbox
security:
  - {}
paths:
  /payout/v1.2/internalTransfer:
    post:
      summary: Internal Transfer V1.2
      description: >-
        Use this API to request an internal transfer. It is useful for accounts
        with multiple fund sources. You need to provide either the
        rechargeAccount or paymentInstrumentId and toPaymentInstrumentId along
        with the amount.
      operationId: internal-transfer-v-12
      parameters:
        - name: Authorization
          in: header
          description: Bearer auth token
          required: true
          style: simple
          explode: false
          schema:
            type: string
        - name: Content-Type
          in: header
          description: application/json
          required: true
          style: simple
          explode: false
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/v1_2_internalTransfer_body'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_200_23'
              examples:
                Result:
                  summary: Successful Transfer Response
                  value:
                    status: SUCCESS
                    subCode: '200'
                    message: RefId-testingw123/some remarks-Internal Fund Transfer
                    data:
                      transferId: '123'
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_422_9'
              examples:
                Case1:
                  summary: Missing Mandatory Parameter
                  value:
                    status: ERROR
                    subCode: '422'
                    message: >-
                      Either one of rechargeAccount or (toPaymentInstrumentId
                      and paymentInstrumentId) should be provided in the request
                Case2:
                  summary: Payment Instrument ID Unavailable
                  value:
                    status: ERROR
                    subCode: '422'
                    message: Specified paymentInstrumentId not available.
      deprecated: false
      security: []
components:
  schemas:
    v1_2_internalTransfer_body:
      required:
        - amount
      type: object
      properties:
        rechargeAccount:
          type: string
          description: >-
            It is the Cashfree Payments' internal recharge account number.
            Alphanumeric characters are allowed.
        paymentInstrumentId:
          type: string
          description: >-
            It is the unique ID to identify the fund source from which you want
            to transfer the money. Alphanumeric characters are allowed.
        toPaymentInstrumentId:
          type: string
          description: >-
            It is the unique ID to identify the fund source where you want to
            deposit the money. Alphanumeric characters are allowed.
        amount:
          type: number
          description: Amount to be transferred. Number (>=1)
          format: float
        remarks:
          type: string
          description: Any remarks if required.
        transferId:
          type: string
          description: >-
            It is the unique ID to identify the transfer. Alphanumeric, hyphen
            (-), and underscore (_) characters are allowed. Maximum character
            limit is 40. The ID is auto-generated if the parameter is left
            blank.
    inline_response_200_23:
      type: object
      properties:
        status:
          type: string
          example: SUCCESS
        subCode:
          type: string
          example: '200'
        message:
          type: string
          example: RefId-testingw123/some remarks-Internal Fund Transfer
        data:
          $ref: '#/components/schemas/inline_response_200_23_data'
    inline_response_422_9:
      type: object
      properties:
        status:
          type: string
          example: ERROR
        subCode:
          type: string
          example: '422'
        message:
          type: string
          example: >-
            Either one of rechargeAccount or (toPaymentInstrumentId and
            paymentInstrumentId) should be provided in the request
    inline_response_200_23_data:
      type: object
      properties:
        transferId:
          type: string
          example: '123'

````